snack (2.2.10.20090624+dfsg-3) unstable; urgency=medium

  * Add missing build-dependency on python3-setuptools (closes: #1080806).
  * Fix FTBFS for GNU/Hurd.
  * Fix FTBFS and compile warnings with GCC 15 (closes: #1097902).
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 19 Feb 2025 18:01:03 +0300

snack (2.2.10.20090624+dfsg-2) unstable; urgency=medium

  * Fix incorrect comparison with literal strings (closes: #1061951).
  * Bump the debhelper compatibility level to 13.
  * Bump the standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Mar 2024 12:20:28 +0300

snack (2.2.10.20090624+dfsg-1) unstable; urgency=medium

  * Drop non-free code from jkFormant.c (closes: #1029034).
  * Add a patch by Thomas Uhle which replaces calls to removed non-free
    downsampler code by calls to other free one.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 19 Feb 2023 16:44:48 +0300

snack (2.2.10.20090623-dfsg-10) unstable; urgency=medium

  * Source upload.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 02 Sep 2019 09:18:27 +0300

snack (2.2.10.20090623-dfsg-9) unstable; urgency=medium

  * Drop the python-tksnack package because of Python 2 removal from Debian
    (closes: #938506).
  * Bump the standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Aug 2019 12:55:43 +0300

snack (2.2.10.20090623-dfsg-8) unstable; urgency=medium

  * Pass --build and --host to ./configure to fix cross-building the package,
    thanks to Helmut Grohne (closes: #901328).
  * Bump the standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Aug 2018 11:55:05 +0300

snack (2.2.10.20090623-dfsg-7) unstable; urgency=medium

  * Add osspd as an explicit dependency of libsnack-oss since for linux it
    is preferable to oss-compat.
  * Put libsnack-oss before libsnack-alsa in the tcl-snack dependencies
    because it works better (ALSA support in Snack is very basic) and it can
    be used with pulseaudio via osspd.
  * Refresh patches.
  * Add Debian-specific CFLAGS to the build and fix a few warinigs and errors
    they reveal.
  * Add VCS salsa headers.
  * Bump the debhelper compatibility level to 11.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Apr 2018 12:12:20 +0300

snack (2.2.10.20090623-dfsg-6) unstable; urgency=medium

  * Added a patch which fixes a few warnings due to missing prototypes and
    variable declarations.
  * Fixed the library loading into Python scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Nov 2015 21:49:33 +0300

snack (2.2.10.20090623-dfsg-5) unstable; urgency=medium

  * Ported Python module and demos to Python 3.
  * In addition to python-tksnack, build also python3-tksnack package for
    Python 3.
  * Do not ship python script in /usr/share/pyshared directory, and put
    them directly into /usr/lib/python*/dist-packages.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Apr 2015 22:16:48 +0300

snack (2.2.10.20090623-dfsg-4) unstable; urgency=low

  * Fixed conflicts in libsnack-oss and libsnack-alsa dependencies which
    prevented the tcl-snack to be installable (closes: #722431).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 12 Sep 2013 11:13:26 +0400

snack (2.2.10.20090623-dfsg-3) unstable; urgency=low

  * Documented license for generic/SnackOgg.c, generic/jkFormant.h,
    generic/jkFormant.c and generic/sigproc2.c in debian/copyright
    (closes: #721507).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Sep 2013 19:18:13 +0400

snack (2.2.10.20090623-dfsg-2) unstable; urgency=low

  * Replaced deprecated dh_pysypport from python-support by dh_python2.
  * Dropped all debian/*.dirs files because they aren't necessary.
  * Added build-arch and build-indep targets to debian/rules (closes: #648302).
  * Dropped tcl-snack-alsa package and split out the backend dependent
    shared libraries into libsnack-oss and libsnack-alsa packages. This
    helps avoiding complex dependencies for packages like tkabber or
    wavesurfer (see bug 567713 for discussion).
  * Swapped libsnack-alsa and libsnack-oss to make ALSA enabled library
    the default one (closes: #567713).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Aug 2013 12:21:48 +0400

snack (2.2.10.20090623-dfsg-1) unstable; urgency=low

  * Acknowledge NMU and include patch by Michael Karcher to fix CVE-2012-6303
    to the main package development.
  * Switched to the 3.0 (quilt) source package format.
  * Renamed the binary packages to tcl-snack, tcl-snack-dev, tcl-snack-doc
    to comply the Debian Tcl/Tk policy.
  * Removed non-free source files jkFormatMP3.c and jkFormatMP3.h, and
    binary without source snack.mcp.sit.hqx. Also, documented the license
    for ffa.c, shape.c, snackDecls.h, snackStubInit.c, snackStubLib.c and
    a few other files in debian/copyright (closes: #688020).
  * Switched to an alternative upstream with reimplemented MP3 support via
    libmpg123. This helps to retain MP3 support while dropping the non-free
    source files jkFormatMP3.c and jkFormatMP3.h which implemented MP3
    support internally. Note that after that one has to run
    [package require snackmpg] to enable MP3.
  * Removed unneeded headers from the tcl-snack-dev binary package.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Jul 2013 20:49:27 +0400

snack (2.2.10-dfsg1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch by Michael Karcher to fix CVE-2012-6303 (Closes: #695614).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 02 Jan 2013 00:56:47 +0100

snack (2.2.10-dfsg1-12) unstable; urgency=low

  * Fixed FTBFS for non-linux architectures.
  * Added Tk package to suggested packages list because Snack has sound
    visualization support.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Aug 2011 21:46:20 +0400

snack (2.2.10-dfsg1-11) unstable; urgency=low

  * Use linux-any wildcard to express build dependency on libasound2-dev
    (closes: #634299).
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Aug 2011 14:00:50 +0400

snack (2.2.10-dfsg1-10) experimental; urgency=low

  * Rebuild snack with Tcl/Tk 8.5.
  * Added a patch which fixes several cases of searching for arguments
    beyond the array of them (closes: #582601).
  * Added ${misc:Depends} substitution variable to debian/control because
    the package is using debhelper to build.
  * Added patch which removes unnecessary libraries from the list libsnack.so
    links to.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2010 22:23:47 +0400

snack (2.2.10-dfsg1-9) unstable; urgency=low

  * Added patch which makes snack build with glibc 2.10 (closes: #548641).
  * Use quilt for patch management.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Oct 2009 21:58:50 +0300

snack (2.2.10-dfsg1-8) unstable; urgency=low

  * Borrowed patch from Jeremiah at Myah OS which makes libsnack2-alsa working
    with ALSA 1.0.16 (closes: #503398).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 25 Oct 2008 21:33:33 +0400

snack (2.2.10-dfsg1-7) unstable; urgency=low

  * Added new binary package libsnack2-alsa with enabled ALSA
    (closes: #240244).
  * Bumped standards version to 3.8.0.
  * Mangled Debian version in debian/watch.
  * Removed build essential package dpkg-dev from build dependencies.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 04 Jul 2008 16:07:37 +0400

snack (2.2.10-dfsg1-6) unstable; urgency=low

  * Converted copyright to UTF-8.
  * Moved python-tksnack package to python section.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Feb 2008 11:44:42 +0300

snack (2.2.10-dfsg1-5) unstable; urgency=low

  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/lib/tcltk and switching to default
    tcl package in dependencies.
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 Nov 2007 12:20:24 +0300

snack (2.2.10-dfsg1-4) unstable; urgency=low

  * Fixed binary-indep and binary-arch targets in debian/rules, and moved
    python-support to build-depends-indep dependencies.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Added uscan control script debian/watch.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 16 Sep 2007 21:22:23 +0400

snack (2.2.10-dfsg1-3) unstable; urgency=low

  * Added python-tksnack package which provides python interface to snack
    (closes: #260100).
  * Changed package priority to optional and made descriptions more clear.
  * Moved documentation from /usr/share/doc/libsnack2 to
    /usr/share/doc/libsnack2-doc directory.
  * Added libsnack2-doc to suggested packages for libsnack2 and
    python-tksnack, and vice versa.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 26 Aug 2007 14:23:34 +0400

snack (2.2.10-dfsg1-2) unstable; urgency=low

  * New maintainer's email address sgolovan@debian.org.
  * Enabling ALSA leads to a regression, so disabled it again
    (closes: #431341).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Aug 2007 21:35:18 +0400

snack (2.2.10-dfsg1-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #406132).
  * New upstream release.
  * Enabled ALSA during build (closes: #240244).
  * Added get-orig-source target to debian/rules.
  * Fixed clean target in debian/rules.
  * Fixed compressing examples and their permissions.
  * Removed postinst and prerm scripts because they are empty.
  * Added homepage to debian/control.
  * Removed redundant build-dependency on libx11-dev.
  * Moved libsnackstub library to libsnack2-dev package.

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 13 May 2007 13:56:40 +0400

snack (2.2.9.dfsg-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #406132
  * Update debian/copyright
  * Replace call to deprecated dh_installmanpages 
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue, 23 Jan 2007 08:41:42 +0100

snack (2.2.9.dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload for release critical bugs.
  * Rework debian/rules to actually put content into the -dev package.
    (Closes: #362436, #334834)
  * Remove binary-only tclkit-linux-x86 from upstream tarball.
    (Closes: #319985)
  * Make package binNMU-safe.

 -- Thijs Kinkhorst <thijs@debian.org>  Thu, 12 Oct 2006 15:27:16 +0200

snack (2.2.9-1) unstable; urgency=low

  * New upstream release (closes: #294713)
  * change build-dep from tk8.3-dev to tk8.4-dev
  * removed xlibs-dev, included libx11-dev

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue, 22 Mar 2005 14:22:15 +0100

snack (2.2.2-4) unstable; urgency=low

  * Changed priority and some sections, to prevent override disparities. 

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue, 22 Mar 2005 14:14:13 +0100

snack (2.2.2-3) unstable; urgency=low

  * Installed libvorbis0a (testing), hoping that ${shlibs:Depends} 
    figures out the testing-status dependency (libvorbis0 has disappeared 
    since potato).  Installed testing-libc6 for that.  Had to remove
    a whole lot of packages for that.  Whatever.  Anything for
    one bug less.  (closes: #212297)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Wed, 24 Sep 2003 23:52:43 +0200

snack (2.2.2-2) unstable; urgency=low

  * added a million of -a and -i's in debian/rules.  Sorry, but i find the
    mixed architecture dependen/indenpendent rules files not elegant. (closes: #196635)
  * 2.1.6-1 closed a lot of minor issues.  (closes: #144488)
  * Repeated short description in control file in -dev and -doc packages. (closes: #134397)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon, 18 Aug 2003 21:03:01 +0200

snack (2.2.2-1) unstable; urgency=low

  * new upstream (closes: #200145) (closes: #183133)
  * remove the freewrap binary from examples/tcl
  * compile the with stubs (closes: #180526)
  * spelling error fileformats -> file formats already fixed in 
    previous releases (closes: #125047)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 27 Jul 2003 14:16:27 +0200

snack (2.1.6-3) unstable; urgency=low

  * included libogg support. (closes: #181313)
  * updated debian/dirs

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  6 May 2003 23:39:03 +0200

snack (2.1.6-2) unstable; urgency=low
  
  * copy examples in debian/tmp/libsnack2-doc _after_ dh_compress (closes: #191949)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  6 May 2003 21:52:03 +0200

snack (2.1.6-1) unstable; urgency=low

  * Accepted all changes kindly provided by Teemu Hukkanen, this changelog
    entry is just for finding key in keyring
  
  * Changed email address

 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon,  6 May 2002 11:59:24 +0200

snack (2.1.6-0) unstable; urgency=low

  * New upstream version.
  * Compiled with tcl8.3 and tk8.3.
  * Removed emacs variables from the changelog.
  * Sanitized dependencies.
  * Use debhelper correctly in postinst and prerm scripts.
  * Previous version was a debian native package, fixed.
  * Fixed spelling error in description. (Closes: #125047)
  * Added short description to -doc and -dev packages about snack itself.
    (Closes: #134397)
  * Upgraded Standards-Version to 3.1.0.
  * Corrected path to GPL in debian/copyright.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 25 Apr 2002 13:50:40 +0300

snack (2.0.7-2) unstable; urgency=low

  * Remove debmake from dependency list, add debhelper instead (closes:
    Bug#112293) 

  * Rebuild on a `woody' i386 machine: get location of tclConfig.sh right
    (closes: Bug#112340)

  * removed dh_suidregister, as suggested by itself.
  
 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 24 Sep 2001 13:23:08 +0200

snack (2.0.7-1) unstable testing; urgency=low

  * Complete new dh_make debianization

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 20 Aug 2001 16:14:02 +0200

snack (2.0.7-0) unstable testing; urgency=low

  * New upstream version

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 15 Jun 2001 14:42:00 +0200

snack (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 25 Aug 2000 15:09:08 +0200

snack (1.6.5-3) unstable; urgency=low

  * dependency changed from xpm4g to libxpm, solves bug 67945

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 25 Aug 2000 15:02:15 +0200

snack (1.6.5-2) unstable; urgency=low

  * New upload; try to deal with -all.deb file generated on mixed architecture     (not so binary-indep after all?)
  * Solution: reverse binary-indep and binary-arch dependency of binary in 
    `rules'; because `debstd' clobbers my -dev_..._all.deb package! 
  
 -- David A. van Leeuwen <david@tm.tno.nl>  Mon,  6 Mar 2000 17:41:44 +0100

snack (1.6.5-1) unstable; urgency=low

  * New upstream version.
  * Moved usr/doc to usr/share/doc.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu,  2 Mar 2000 09:57:01 +0100

snack (1.6-2) unstable; urgency=low

  * Made binary-indep empty, generate snack and snack-dev both in
    binary-arch (what is the use of binary-indep if it isn't made by
    dpkg-buildpackage?).  Should solve bug #50725. 
  * Do a make distclean, in order to remove config.cache. 
  * Made snack-dev architecture: all. 

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 22 Nov 1999 16:30:58 +0100

snack (1.6-1) unstable; urgency=low

  * Initial Release.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu, 23 Sep 1999 15:24:33 +0200

